Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleVideo Class Reference

The video app module adds functionality to record a video and save it. More...

`#include <AppModuleVideo.h>`

Inheritance diagram for ArgusSamples::AppModuleVideo:

List of all members.

## Public Member Functions

| AppModuleVideo ()
virtual | ~AppModuleVideo ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Static Public Member Functions

option callbacks
static bool | video (void *userPtr, const char *optArg)
static bool | toggleRecording (void *userPtr, const char *optArg)
static bool | videoBitRate (void *userPtr, const char *optArg)
static bool | videoFormat (void *userPtr, const char *optArg)
static bool | videoFileType (void *userPtr, const char *optArg)

## Private Member Functions

IKeyObserver methods
virtual bool | onKey (const Key &key)

## Private Attributes

bool | m_initialized
| set if initialized
bool | m_running
| set if running
TaskVideoRecord | m_videoRecord
| video recording task
Window::IGuiContainer * | m_guiContainerConfig
| configuration GUI container
Window::IGuiContainerGrid * | m_guiConfig
| configuration GUI

## Detailed Description

The video app module adds functionality to record a video and save it.

Definition at line 41 of file AppModuleVideo.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleVideo::AppModuleVideo | ( |  | ) |

Definition at line 111 of file AppModuleVideo.cpp.

ArgusSamples::AppModuleVideo::~AppModuleVideo | ( |  | ) |

virtual

Definition at line 119 of file AppModuleVideo.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleVideo::initialize | ( | Options & | options | ) |

virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 124 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::onKey | ( | const Key & | key | ) |

privatevirtual

Definition at line 254 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::shutdown | ( |  | ) |

virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 153 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |

virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 172 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::stop | ( |  | ) |

virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 236 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::toggleRecording | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 83 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::video | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 44 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::videoBitRate | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 92 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::videoFileType | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 105 of file AppModuleVideo.cpp.

bool ArgusSamples::AppModuleVideo::videoFormat | ( | void * | userPtr,
|  | const char * | optArg
| ) |  |

static

Definition at line 99 of file AppModuleVideo.cpp.

## Member Data Documentation

Window::IGuiContainerGrid* ArgusSamples::AppModuleVideo::m_guiConfig

private

configuration GUI

Definition at line 71 of file AppModuleVideo.h.

Window::IGuiContainer* ArgusSamples::AppModuleVideo::m_guiContainerConfig

private

configuration GUI container

Definition at line 70 of file AppModuleVideo.h.

bool ArgusSamples::AppModuleVideo::m_initialized

private

set if initialized

Definition at line 66 of file AppModuleVideo.h.

bool ArgusSamples::AppModuleVideo::m_running

private

set if running

Definition at line 67 of file AppModuleVideo.h.

TaskVideoRecord ArgusSamples::AppModuleVideo::m_videoRecord

private

video recording task

Definition at line 68 of file AppModuleVideo.h.

The documentation for this class was generated from the following files:

- ui/video/AppModuleVideo.h
- ui/video/AppModuleVideo.cpp